Notificatiehandlers
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Beschrijving |
|---|---|---|
| search | Optioneel String | De zoekstring. |
| search_by | Optioneel String | Op welk veld zoekt u? Toegestane waarden zijn: name. |
| is_enabled | Optioneel Boolean | |
| type | Optioneel String | Op welk veld zoekt u? Toegestane waarden zijn: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Optioneel String | Toegestane waarden: datetime, last_datetime |
| datetime_start | Optioneel String | Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s. |
| datetime_end | Optioneel String | Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s. |
| order_by | Optioneel String | Op welk veld moeten de resultaten worden gesorteerd? Toegestane waarden zijn: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optioneel String | De volgorde van de resultaten. Toegestane waarden zijn: ASC voor oplopende volgorde, en DESC voor aflopende volgorde. |
| search | Optioneel String | De zoekstring. |
| search_by | Optioneel String | Op welk veld zoekt u? Toegestane waarden zijn: name. |
| is_enabled | Optioneel Boolean | |
| type | Optioneel String | Op welk veld zoekt u? Toegestane waarden zijn: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Optioneel String | Toegestane waarden: datetime, last_datetime |
| datetime_start | Optioneel String | Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s. |
| datetime_end | Optioneel String | Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s. |
| order_by | Optioneel String | Op welk veld moeten de resultaten worden gesorteerd? Toegestane waarden zijn: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optioneel String | De volgorde van de resultaten. Toegestane waarden zijn: ASC voor oplopende volgorde, en DESC voor aflopende volgorde. |
| page | Optioneel Geheel getal | Het paginanummer waar je resultaten van wilt. Standaard is dit 1. |
| results_per_page | Optioneel Geheel getal | Hoeveel resultaten wilt u per pagina. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:21",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:21",
}
}
POST https://tistos.com/api/notification-handlers
| Parameters | Details | Beschrijving |
|---|---|---|
| name | Vereist String | - |
| type | Vereist String | Toegestane waarden: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Optioneel String | Beschikbaar wanneer: type = email E-mail | |
| webhook | Optioneel String | Beschikbaar wanneer: type = webhook Webhook URL |
| slack | Optioneel String | Beschikbaar wanneer: type = slack Slack webhook URL |
| discord | Optioneel String | Beschikbaar wanneer: type = discord Discord webhook URL |
| telegram | Optioneel String | Beschikbaar wanneer: type = telegram Telegram API-token |
| telegram_chat_id | Optioneel String | Beschikbaar wanneer: type = telegram Telegram-chat-ID |
| microsoft_teams | Optioneel String | Beschikbaar wanneer: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Optioneel String | Beschikbaar wanneer: type = google_chat Google Chat webhook-URL |
| x_consumer_key | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| x_consumer_secret | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| x_access_token | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| x_access_token_secret | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parameters | Details | Beschrijving |
|---|---|---|
| name | Optioneel String | - |
| type | Optioneel String | Toegestane waarden: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Optioneel String | Beschikbaar wanneer: type = email E-mail | |
| webhook | Optioneel String | Beschikbaar wanneer: type = webhook Webhook URL |
| slack | Optioneel String | Beschikbaar wanneer: type = slack Slack webhook URL |
| discord | Optioneel String | Beschikbaar wanneer: type = discord Discord webhook URL |
| telegram | Optioneel String | Beschikbaar wanneer: type = telegram Telegram API-token |
| telegram_chat_id | Optioneel String | Beschikbaar wanneer: type = telegram Telegram-chat-ID |
| microsoft_teams | Optioneel String | Beschikbaar wanneer: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Optioneel String | Beschikbaar wanneer: type = google_chat Google Chat webhook-URL |
| x_consumer_key | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| x_consumer_secret | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| x_access_token | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| x_access_token_secret | Optioneel String | Beschikbaar wanneer: type = x Telegram API-token |
| is_enabled | Optioneel Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \